COL(1)

NAMN
col - filtrera omvända radflöden från inmatningen

SYNOPSIS

col _optioner

BESKRIVNING

col filtrerar bort omvända (och halvt omvända) radmatningar så att utdata är i rätt ordning, med endast framåtriktade och halvt framåtriktade radmatningar. Den ersätter också alla blankstegstecken med tabbar där det är möjligt. Detta kan vara användbart vid bearbetning av utdata från nroff(1) och tbl(1).

col läser från standardinmatningen och skriver till standardutmatningen.

FLAGGOR

-b, --no-backspaces
    Skriv inte ut några backspaces, utan skriv bara ut det sista tecknet som skrivits till varje kolumnposition.

-f, --fine
    Tillåt halvframåtriktade radmatningar. Normalt skrivs tecken som är avsedda för en halv rads gräns ut på nästa rad.

-h, --tabs
    Skriv ut tabbar i stället för flera mellanslag.

-l, --lines nummer
    Buffra minst antal rader i minnet. Som standard är 128 rader buffrade.

-p, --pass
    Tvinga okända kontrollsekvenser att passera oförändrade. Normalt filtrerar col bort alla andra kontrollsekvenser än de som den själv känner igen och tolkar, vilka listas nedan.

-x, --spaces
    Skriv ut flera mellanslag i stället för tabbar.

-H, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

I ÖVERENSSTÄMMELSE MED

Verktyget col överensstämmer med Single UNIX Specification, version 2. Flaggan -l är en utvidgning av standarden.

ANTECKNINGAR

De styrsekvenser för vagnsrörelser som col förstår och deras decimalvärden listas i följande tabell:

ESC-7
    omvänd radmatning (escape sedan 7)

ESC-8
    halv omvänd radmatning (escape sedan 8)

ESC-9
    halv framåt radmatning (escape sedan 9)

backspace
    flyttar tillbaka en kolumn (8); ignoreras i första kolumnen

nytt streck
    framåt radmatning (10); gör även vagnsretur

vagnretur
    (13)

skifta in
    växla till normal teckenuppsättning (15)

skifta ut
    växla till alternativ teckenuppsättning (14)

utrymme
    flyttar fram en kolumn (32)

flik
    går vidare till nästa tabstopp (9)

vertikal flik
    omvänd radmatning (11)

Alla oigenkända styrtecken och escape-sekvenser kasseras.

col håller reda på teckenuppsättningen när tecknen läses och ser till att teckenuppsättningen är korrekt när de skrivs ut.

Om inmatningen försöker backa tillbaka till den senast spolade linjen kommer col att visa ett varningsmeddelande.

HISTORIK

Ett col-kommando dök upp i version 6 AT&T UNIX.

SE ÄVEN

expand(1), nroff(1), tbl(1)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot col ingår i paketet util-linux som kan hämtas från